%define upstream_name    Dist-Zilla-Plugin-PodWeaver
%define upstream_version 4.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Do horrible things to POD, producing better docs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 6.0.0
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.100.0
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(experimental)
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# not auto-detected
Requires:   perl(Pod::Elemental::PerlMunger)
%description
PodWeaver is a work in progress, which rips apart your kinda-POD and
reconstructs it as boring old real POD.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 16 2023 tv <tv> 4.10.0-1.mga9
+ Revision: 1933735
- update to 4.010

* Wed Mar 23 2022 umeabot <umeabot> 4.9.0-2.mga9
+ Revision: 1820696
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 4.9.0-1.mga9
+ Revision: 1731819
- update to 4.009

* Wed Feb 12 2020 umeabot <umeabot> 4.8.0-4.mga8
+ Revision: 1494392
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.8.0-3.mga7
+ Revision: 1267552
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.8.0-2.mga6
+ Revision: 1026522
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 4.8.0-1.mga6
+ Revision: 1007588
- update to 4.008

* Mon Feb 08 2016 umeabot <umeabot> 4.6.0-4.mga6
+ Revision: 948349
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.6.0-3.mga5
+ Revision: 746617
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 4.6.0-1.mga5
+ Revision: 664404
- update to 4.006

* Wed Jan 08 2014 shlomif <shlomif> 4.5.0-1.mga5
+ Revision: 565629
- update to 4.005

* Mon Oct 21 2013 umeabot <umeabot> 3.102.0-2.mga4
+ Revision: 537793
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 3.102.0-1.mga4
+ Revision: 487746
- update to 3.102000

* Fri Jul 26 2013 sander85 <sander85> 3.101.642-1.mga4
+ Revision: 458338
- update to 3.101642

* Sun Jan 13 2013 umeabot <umeabot> 3.101.641-2.mga3
+ Revision: 366349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 3.101.641-1.mga1
+ Revision: 40532
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-PodWeaver

